IKEv1 va IKEv2 oldindan kelishilgan kalit bilan: autentifikatsiyada nima farq qiladi
Ikkala versiya ham oldindan kelishilgan kalitni yubormasdan uning bilinishini isbotlaydi, lekin turli xeshga turli kirish maʼlumotlarini beradi. Ikki izni solishtiring.
Bir xil oldindan kelishilgan kalit bilan sozlangan ikki shlyuz qoʻl berishni yakunlaydi va paket yozuvi simdan hech qanday sir oʻtmayotganini koʻrsatadi. Odamlar eslab qoladigan qism shu. Qiziqarli qism — har bir versiya sirning bilinishini isbotlash uchun aslida nima hisoblashi, chunki IKEv1 va IKEv2 bu isbotni turli kirish maʼlumotlaridan quradi va shu jarayonda turli maʼlumotlarni ochib beradi. Ikki izni yonma-yon oʻqing va farq kosmetik boʻlishdan toʻxtaydi.
Isbot nimaga erishishi kerak
Diffie-Hellman ikkala tomonga umumiy qiymat beradi, uning ochiq yarmini kuzatuvchi har kim ham hisoblay oladi. Oʻz-oʻzicha bu identifikatsiya haqida hech narsani isbotlamaydi: kalit almashinuvini yakunlagan hujumchi sizning shlyuzingiz bilan bir xil umumiy qiymatga ega. Autentifikatsiya bosqichi bu almashinuvni faqat moʻljallangan tomonlar biladigan sirga, shuningdek ular kelishgan identifikatsiyalar va parametrlarga bogʻlash uchun mavjud.
Xesh kalitdan koʻproq narsani qamrab olishining sababi shu bogʻlanishdir. Agar u faqat sirni qamrab olganida, hujumchi uni boshqa identifikatsiyalar yoki takliflar bilan boshqa almashinuvga qayta oʻynata olardi.
IKEv1 Main Mode: SKEYID hosil qil, soʻng isbotla
Main Mode olti xabar bajaradi. Birinchi juftlik xavfsizlik assotsiatsiyasini kelishadi, ikkinchisi Diffie-Hellman ochiq qiymatlari va noncelarni almashadi, uchinchisi esa endigina oʻrnatilgan shifrlash ostida identifikatsiyalar va autentifikatsiya xeshlarini tashiydi. RFC 2409 konstruksiyani belgilaydi: oldindan kelishilgan kalit bilan autentifikatsiyada SKEYID sirdan va ikkala noncedan, keyingi kalit materiali esa SKEYID, Diffie-Hellman umumiy qiymati, cookielar va konstantalardan hosil qilinadi.
Beshinchi va oltinchi xabarlardagi xesh Diffie-Hellman qiymati, ikki cookie, taklif va joʻnatuvchi identifikatsiyasi boʻyicha SKEYID kaliti bilan hisoblanadi. Qabul qiluvchi uni oʻzi sozlagan sir bilan qayta hisoblaydi. Mos kelmaslik almashinuvni tugatadi va sir hech qachon yukning oʻzi boʻlmaydi.
Aggressive Mode xuddi shu ishni uchta xabarga siqadi, yaʼni identifikatsiyalar va autentifikatsiya xeshi shifrlangan kanal paydo boʻlishidan oldin yoʻlga chiqadi. Bu taxmin qilinadigan sir uchun haqiqiy taʼsirchanlik boʻlib, sir uzatilganmi degan savoldan alohida. IKEv1 RFC 9395 bilan eskirgan, shuning uchun eski iz joriy etish maqsadi emas, diagnostika mashqi.
IKEv2: boshqa hosil qilish va boshqa AUTH yuki
IKEv2 IKEv1 kalit jadvalini qayta ishlatmaydi. Boshlangʻich IKE kalitlari noncelar va Diffie-Hellman umumiy qiymatidan qurilgan urugʻdan keladi, bola xavfsizlik assotsiatsiyalari esa shundan hosil qilinadi. Oldindan kelishilgan kalit urugʻga umuman kirmaydi.
Soʻng autentifikatsiya AUTH yuki sifatida namoyon boʻladi. Umumiy kalit bilan autentifikatsiya uchun RFC 7296 sirning toʻldirilgan shaklini belgilaydi; u sirni qatʼiy satr bilan xeshlash orqali olinadi Key Pad for IKEv2, soʻngra imzolangan almashinuv maʼlumotlari va identifikatsiya shu toʻldirilgan kalit bilan xeshlanadi. Tekshiruvchi bir xil qiymatni qayta qura oladi; kuzatuvchi esa sir boʻlmasa qura olmaydi.
Nima oʻzgarganiga eʼtibor bering. IKEv1da sir autentifikatsiya xeshi paydo boʻlishidan oldin kalit jadvaliga singdirilgan; IKEv2da kalit jadvali sirdan mustaqil va isbot imzolangan oktetlarga bogʻlangan alohida yukdir. Bir xil kontseptual kafolat, boshqa mexanizm, shuning uchun parametr nomlari va yozuvlar birga-bir mos kelmaydi.
Kuzatuvchi aslida nimani bilib oladi
Diffie-Hellman ochiq qiymatlari, takliflar, noncelar va cookielar ikkala versiyada ham koʻrinadi. Identifikatsiyalar IKEv1 Aggressive Mode'da koʻrinadi, boshqa holatlarda himoyalangan. Sir hech qachon koʻrinmaydi.
Bu oxirgi gapning aytishga arziydigan chegarasi bor. Zaif, inson tanlagan sirni taxmin qilish orqali hujum qilish mumkin: hujumchi nomzod sir uchun autentifikatsiya qiymati qanday boʻlishini hisoblaydi va solishtiradi. IKEv1 Aggressive Mode buni eng arzon qiladi, chunki dalil ochiq holda, va standartlar umuman past entropiyali sirlar haqida ogohlantiradi. Sirni hech qachon uzatmaslik yomon sirni xavfsiz qilish bilan bir xil emas.
Bu taqqoslash bilan nima qilish kerak
Har bir juft tomon uchun bitta noyob sir ishlating, uni tasodifiy manbadan yarating va uni tarqatgan taqdim etish yoʻlidan oʻtkazib yangilang. Agar sir har bir filialga yuboriladigan konfiguratsiya shablonida saqlansa, bir joydagi buzilish hamma joydagi buzilishdir.
Operatsion xarajat maqbul boʻlganda sertifikatga asoslangan autentifikatsiyani afzal koʻring, chunki u umumiy sirni taxmin qilish muammosini olib tashlaydi va har bir tomonga alohida identifikatsiya beradi. Oldindan kelishilgan kalit qoladigan joyda uni uzun saqlang, koʻlamini tor belgilang va IKE versiyasini interoperabillik detali emas, xavfsizlik qarori deb biling.